FeatureValue (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.value
Class FeatureValue

    java.lang.Object
      org.maltparser.core.feature.value.FunctionValue
          org.maltparser.core.feature.value.FeatureValue

Direct Known Subclasses:
  MultipleFeatureValue, SingleFeatureValue

    public abstract class FeatureValue

extends FunctionValue

Since:
  1.0
Author:
  Johan Hall

Field Summary
`protected int` | `cardinality`
`protected boolean` | `nullValue`

Fields inherited from class org.maltparser.core.feature.value.FunctionValue
`function`

Constructor Summary
`FeatureValue(Function function)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getCardinality()` Returns the cardinality (the number of distinct values) of the feature
`boolean` | `isNullValue()`
`void` | `reset()`
`void` | `setCardinality(int cardinality)` Sets the cardinality (the number of distinct values) of the feature
`void` | `setNullValue(boolean nullValue)`
`String` | `toString()`

Methods inherited from class org.maltparser.core.feature.value.FunctionValue
`getFunction, setFunction`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nullValue

    protected boolean nullValue

### cardinality

    protected int cardinality

Constructor Detail

### FeatureValue

    public FeatureValue(Function function)

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in class `FunctionValue`

### isNullValue

    public boolean isNullValue()

### setNullValue

    public void setNullValue(boolean nullValue)

### getCardinality

    public int getCardinality()

  Returns the cardinality (the number of distinct values) of the feature

  Returns:
    the cardinality (the number of distinct values) of the feature

### setCardinality

    public void setCardinality(int cardinality)

  Sets the cardinality (the number of distinct values) of the feature

  Parameters:
    `cardinality` - the cardinality (the number of distinct values)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FunctionValue`

### toString

    public String toString()

  Overrides:
    `toString` in class `FunctionValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.